<ng-template appIconTemplate="home">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m31.979 0c-0.89359-2.3571e-4 -1.7524 0.35496-2.3848 0.98633l-28.605 28.605c-1.3156 1.3164-1.3156 3.4512 0 4.7676 1.3166 1.3169 3.451 1.3169 4.7676 0l5.2363-5.2363v34.877h15.008v-17.143h12v17.143h14.963v-34.877l5.2363 5.2363c1.3166 1.3169 3.451 1.3169 4.7676 0 1.3156-1.3164 1.3156-3.4512 0-4.7676l-28.605-28.605c-0.63236-0.63136-1.4892-0.98656-2.3828-0.98633z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="download">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m7.4395 49.094a7.445 7.445 0 0 0-7.4453 7.4453 7.445 7.445 0 0 0 7.4453 7.4453h49.121a7.445 7.445 0 0 0 7.4453-7.4453 7.445 7.445 0 0 0-7.4453-7.4453z"/>
        <path d="m18.948 27.204h7.3544v-21.589c0-3.092 2.5066-5.5987 5.5986-5.5987 3.092 0 5.5986 2.5066 5.5986 5.5987v21.589h7.3576c2.7108 8.5e-4 4.1923 3.1615 2.4588 5.2456l-12.897 15.493c-0.6165 0.78099-1.4503 1.1511-2.4978 1.1511-1.0585 0-1.7994-0.40568-2.4712-1.0662l-12.963-15.573c-1.4683-2.3372 0.2302-5.1837 2.4603-5.2501z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="database">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m3.7266 20.465v12.117c0 0.54866 0.33509 1.4692 1.6094 2.6328 1.2743 1.1636 3.3289 2.3627 5.9297 3.3672 5.2017 2.009 12.584 3.3047 20.734 3.3047s15.533-1.2957 20.734-3.3047c2.6008-1.0045 4.6554-2.2036 5.9297-3.3672 1.2743-1.1636 1.6094-2.0842 1.6094-2.6328v-12.117c-1.7156 1.4588-3.9201 2.6583-6.5547 3.6758-5.6631 2.1872-13.29 3.4883-21.719 3.4883s-16.056-1.3011-21.719-3.4883c-2.6345-1.0175-4.8391-2.217-6.5547-3.6758z"/>
        <path d="m3.7266 39.164v12.117c0 0.54866 0.33509 1.4692 1.6094 2.6328 1.2743 1.1636 3.3289 2.3627 5.9297 3.3672 5.2017 2.009 12.584 3.3047 20.734 3.3047s15.533-1.2957 20.734-3.3047c2.6008-1.0045 4.6554-2.2036 5.9297-3.3672 1.2743-1.1636 1.6094-2.0842 1.6094-2.6328v-12.117c-1.7156 1.4588-3.9201 2.6583-6.5547 3.6758-5.6631 2.1872-13.29 3.4883-21.719 3.4883s-16.056-1.3011-21.719-3.4883c-2.6345-1.0175-4.8391-2.217-6.5547-3.6758z"/>
        <path d="m32 4.582c-8.1508 0-15.533 1.2957-20.734 3.3047-2.6009 1.0045-4.6554 2.2036-5.9297 3.3672s-1.6094 2.0841-1.6094 2.6328c1e-7 0.54869 0.33507 1.4672 1.6094 2.6309 1.2743 1.1636 3.3288 2.3646 5.9297 3.3691 5.2017 2.009 12.584 3.3008 20.734 3.3008s15.533-1.2918 20.734-3.3008c2.6009-1.0045 4.6554-2.2055 5.9297-3.3691 1.2743-1.1636 1.6094-2.0822 1.6094-2.6309 0-0.54869-0.33507-1.4692-1.6094-2.6328-1.2743-1.1636-3.3288-2.3627-5.9297-3.3672-5.2017-2.009-12.584-3.3047-20.734-3.3047z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="result">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m24.064 0c-1.261 0-2.2833 1.0223-2.2833 2.2833-0.0013 1.2619 1.0214 2.2856 2.2833 2.2856h5.6548v5.1642c-13.921 1.1642-24.903 12.864-24.903 27.081-2.5e-6 14.985 12.2 27.186 27.186 27.186 14.985 0 27.181-12.199 27.181-27.186-6e-6 -14.216-10.977-25.915-24.898-27.081v-5.1642h5.6503c1.2619 7e-7 2.2846-1.0236 2.2833-2.2856 0-1.261-1.0223-2.2833-2.2833-2.2833zm-0.18284 19.48c0.8102 0.01364 1.586 0.45944 1.9868 1.2286l7.4721 14.318h9.8825c1.261 0 2.2833 1.0223 2.2833 2.2833 0 1.261-1.0223 2.2833-2.2833 2.2833h-11.269c-0.85078-5.89e-4 -1.6294-0.47406-2.0224-1.2286l-8.112-15.544c-0.58371-1.1184-0.14885-2.4964 0.96997-3.0794v-0.0022c0.34951-0.18241 0.72434-0.26486 1.0926-0.25866z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="cpu">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m17.873-1.5e-7c-1.1594 0-2.0994 0.93992-2.0994 2.0994v6.8086h-0.5679c-3.4528 0-6.2981 2.8453-6.2981 6.2981v0.56584h-6.8086c-1.1594 0-2.0994 0.93992-2.0994 2.0994s0.93992 2.0994 2.0994 2.0994h6.8086v5.2218h-6.8086c-1.1594 0-2.0994 0.93992-2.0994 2.0994 0 1.1594 0.93992 2.0994 2.0994 2.0994h6.8086v5.2197h-6.8086c-1.1594 0-2.0994 0.93992-2.0994 2.0994s0.93992 2.0994 2.0994 2.0994h6.8086v5.2197h-6.8086c-1.1594 0-2.0994 0.93992-2.0994 2.0994s0.93992 2.0994 2.0994 2.0994h6.8086v0.5679c0 3.4528 2.8453 6.2981 6.2981 6.2981h0.5679v6.8065c0 1.1594 0.93992 2.0994 2.0994 2.0994s2.0994-0.93992 2.0994-2.0994v-6.8065h5.2197v6.8065c0 1.1594 0.93992 2.0994 2.0994 2.0994 1.1594 0 2.0994-0.93992 2.0994-2.0994v-6.8065h5.2197v6.8065c0 1.1594 0.93992 2.0994 2.0994 2.0994s2.0994-0.93992 2.0994-2.0994v-6.8065h5.2197v6.8065c0 1.1594 0.93992 2.0994 2.0994 2.0994s2.0994-0.93992 2.0994-2.0994v-6.8065h0.5679c3.4528 0 6.2981-2.8453 6.2981-6.2981v-0.5679h6.8065c1.1594 0 2.0994-0.93992 2.0994-2.0994s-0.93992-2.0994-2.0994-2.0994h-6.8065v-5.2197h6.8065c1.1594 0 2.0994-0.93992 2.0994-2.0994s-0.93992-2.0994-2.0994-2.0994h-6.8065v-5.2197h6.8065c1.1594 0 2.0994-0.93992 2.0994-2.0994 0-1.1594-0.93992-2.0994-2.0994-2.0994h-6.8065v-5.2218h6.8065c1.1594 0 2.0994-0.93992 2.0994-2.0994s-0.93992-2.0994-2.0994-2.0994h-6.8065v-0.56584c0-3.4528-2.8453-6.2981-6.2981-6.2981h-0.5679v-6.8086c0-1.1594-0.93992-2.0994-2.0994-2.0994s-2.0994 0.93992-2.0994 2.0994v6.8086h-5.2197v-6.8086c0-1.1594-0.93992-2.0994-2.0994-2.0994s-2.0994 0.93992-2.0994 2.0994v6.8086h-5.2197v-6.8086c0-1.1594-0.93992-2.0994-2.0994-2.0994-1.1594 0-2.0994 0.93992-2.0994 2.0994v6.8086h-5.2197v-6.8086c0-1.1594-0.93992-2.0994-2.0994-2.0994z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="benchmark">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m6-2.5e-5c-3.324 0-6 2.676-6 6v4c0 3.324 2.676 6 6 6h6.8965v3.3926l-3.707 2e-3c-2.5089 0.0747-4.2626 2.3225-4.1855 4.6934-2.8458 0.47238-5.0039 2.9282-5.0039 5.9121v4c0 3.324 2.676 6 6 6h32.553v3.3926l-3.707 2e-3c-2.4778 0.0737-4.2168 2.2674-4.1855 4.6055h-24.66c-3.324 0-6 2.676-6 6v4c0 3.324 2.676 6 6 6h52c3.324 0 6-2.676 6-6v-4c0-2.9866-2.1622-5.4427-5.0117-5.9121 0.08311-2.3434-1.7222-4.6945-4.3301-4.6953h-3.6504v-3.3926h6.9922c3.324 0 6-2.676 6-6v-4c0-3.324-2.676-6-6-6h-24.668c0.03601-2.3139-1.7548-4.6066-4.3301-4.6074h-3.6523v-3.3926h32.65c3.324 0 6-2.676 6-6v-4c0-3.324-2.676-6-6-6zm13.123 3.916c1.2988 0 2.3086 1.0117 2.3086 2.3105v17.084h7.5684c0.54446 1.7e-4 0.71732 0.36853 0.36914 0.78711l-9.8477 11.832-0.01563 0.0195c-0.12433 0.15751-0.02992 0.13281-0.36719 0.13281-0.29386 0-0.24516 2e-3 -0.49023-0.24219l-9.6211-11.557c-0.33006-0.57716 0.20832-0.96814 0.27539-0.97265h7.5098v-17.084c0-1.2988 1.0118-2.3105 2.3105-2.3105zm25.656 24c1.2988 0 2.3105 1.0117 2.3105 2.3105v17.084h7.5664c0.54446 1.7e-4 0.71732 0.36853 0.36914 0.78711h2e-3l-9.8496 11.832-0.01563 0.0195c-0.12434 0.15751-0.02992 0.13281-0.36719 0.13281-0.29571 0-0.24166 7e-3 -0.49219-0.24219l-9.6172-11.555c-0.33297-0.57849 0.20822-0.97009 0.27539-0.97461h7.5098v-17.084c0-1.2988 1.0098-2.3105 2.3086-2.3105z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="topology">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m15 0c-2.216 0-4 1.784-4 4v8c0 1.6087 0.94165 2.9869 2.3047 3.623l-3.8398 8.377h-5.4648c-2.216 0-4 1.784-4 4v8c0 2.216 1.784 4 4 4h5.4668l3.8398 8.377c-1.3639 0.63582-2.3066 2.0138-2.3066 3.623v8c0 2.216 1.784 4 4 4h8c2.216 0 4-1.784 4-4v-2h10v2c0 2.216 1.784 4 4 4h8c2.216 0 4-1.784 4-4v-8c0-1.6093-0.94274-2.9872-2.3066-3.623l3.8398-8.377h5.4668c2.216 0 4-1.784 4-4v-8c0-2.216-1.784-4-4-4h-5.4668l-3.8398-8.377c1.3639-0.63582 2.3066-2.0138 2.3066-3.623v-8c0-2.216-1.784-4-4-4h-8c-2.216 0-4 1.784-4 4v2h-10v-2c0-2.216-1.784-4-4-4zm12 10h10v2c0 1.385 0.69609 2.6009 1.7598 3.3184l-4.7031 8.6816h-4.1172l-4.7012-8.6797 2e-3 -2e-3c1.0636-0.71737 1.7597-1.9333 1.7597-3.3183zm-9.4668 6h3.5254l4.7031 8.6816h-2e-3c-1.0636 0.71742-1.7597 1.9334-1.7597 3.3184v2h-8v-2c0-1.6093-0.94274-2.9872-2.3066-3.623zm25.406 0h3.5273l3.8379 8.377c-1.363 0.63616-2.3047 2.0144-2.3047 3.623v2h-8v-2c0-1.3866-0.69798-2.6032-1.7637-3.3203zm-26.939 18h8v2c0 1.385 0.69609 2.6009 1.7598 3.3184l-4.7031 8.6816h-3.5234l-3.8398-8.377c1.3639-0.63582 2.3066-2.0138 2.3066-3.623zm24 0h8v2c0 1.6093 0.94274 2.9872 2.3066 3.623l-3.8398 8.377h-3.5254l-4.7031-8.6816h2e-3c1.0636-0.71742 1.7597-1.9334 1.7597-3.3184zm-10.062 6h4.1211l4.7031 8.6816h-2e-3c-1.0636 0.71742-1.7597 1.9334-1.7597 3.3184v2h-10v-2c0-1.3866-0.69798-2.6032-1.7637-3.3203z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="operatingSystem">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m32 0a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zm-12.086 18.891c4.0625 0 7.2448 1.1617 9.5469 3.4863 2.3021 2.3247 3.4531 5.5345 3.4531 9.6309 0 4.0851-1.151 7.2906-3.4531 9.6152-2.3021 2.3246-5.4844 3.4863-9.5469 3.4863-4.0512 0-7.2335-1.1617-9.5469-3.4863-2.3021-2.3247-3.4531-5.5302-3.4531-9.6152 0-4.0964 1.151-7.3062 3.4531-9.6309 2.3134-2.3246 5.4957-3.4863 9.5469-3.4863zm26.678 0c1.388 0 2.8142 0.1059 4.2812 0.32032 1.467 0.20312 2.9861 0.5141 4.5547 0.93164v5.3496c-1.388-0.62066-2.7422-1.0903-4.0625-1.4062-1.3203-0.31598-2.5686-0.47266-3.7422-0.47266-1.5573 0-2.7083 0.21376-3.4531 0.64258-0.74479 0.42882-1.1172 1.0953-1.1172 1.998 0 0.67708 0.24957 1.2062 0.74609 1.5898 0.50781 0.37239 1.4219 0.69401 2.7422 0.96484l2.7754 0.5586c2.8099 0.56423 4.8073 1.4232 5.9922 2.5742 1.1849 1.151 1.7773 2.7867 1.7773 4.9082 0 2.7873-0.82943 4.8631-2.4883 6.2285-1.6476 1.3542-4.1697 2.0312-7.5664 2.0312-1.6024 0-3.2105-0.15234-4.8242-0.45703-1.6137-0.30469-3.2281-0.75543-4.8418-1.3535v-5.502c1.6137 0.85764 3.171 1.5072 4.6719 1.9473 1.5122 0.42882 2.9679 0.64258 4.3672 0.64258 1.4219 0 2.5115-0.23698 3.2676-0.71094s1.1348-1.151 1.1348-2.0312c0-0.78993-0.2602-1.3993-0.7793-1.8281-0.50781-0.42882-1.5297-0.81185-3.0645-1.1504l-2.5215-0.5586c-2.5278-0.54167-4.3791-1.405-5.5527-2.5898-1.1623-1.1849-1.7422-2.7823-1.7422-4.791 0-2.5165 0.8125-4.4505 2.4375-5.8047 1.625-1.3542 3.9609-2.0312 7.0078-2.0312zm-26.678 4.7227c-1.9861 0-3.5265 0.7322-4.6211 2.1992-1.0946 1.467-1.6426 3.5321-1.6426 6.1953 0 2.6519 0.54796 4.7127 1.6426 6.1797 1.0946 1.467 2.635 2.1992 4.6211 2.1992 1.9974 0 3.5441-0.7322 4.6387-2.1992 1.0946-1.467 1.6406-3.5278 1.6406-6.1797 0-2.6632-0.546-4.7283-1.6406-6.1953-1.0946-1.467-2.6413-2.1992-4.6387-2.1992z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="elpida">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m13.484 40.214 2.0196 20.06 1.5157 0.85058 3.5255 0.0185c-0.45229-0.23057-0.92649-0.47103-1.4431-0.72545 2.7006-1.1331 2.3027-2.0596 5.0032-3.193l1.0293-0.54092c-0.02569-0.35064-0.12282-1.5492-0.1743-2.1452l0.0078-5.826c-0.22514 0.01553-0.44514 0.03504-0.67579 0.04625-1.3326 0.06244-2.1882-0.49529-3.9062-1.7528-1.3321-0.97502-2.669-2.0958-3.5479-2.8658-0.52992-0.46425-1.0054-0.94422-1.4665-1.4183-0.54491-0.56024-1.0876-1.2178-1.5346-1.9485-0.11072-0.18098-0.20503-0.36913-0.29213-0.55943z"/>
        <path d="m12.633 15.43-1.8691 0.0068c-0.0742 15.764-0.93554 30.317 0.06281 41.975 2.2432 1.6992 4.7087 3.0567 7.3178 4.1112-0.71632-4.5016-1.1877-9.3592-1.3491-13.334l0.0409-4.0508c-0.52929-0.46382-1.0044-0.94323-1.465-1.4168-0.54491-0.56024-1.0876-1.2178-1.5346-1.9485-0.64444-1.0534-0.86883-2.3223-0.9056-3.1345-0.10199-2.2534-0.02275-5.0057-0.2264-7.1596-0.08395-0.88787-0.22159-1.7475-0.26876-1.9237-1.1426-4.2869-0.96738-8.8326 0.19719-13.125z"/>
        <path d="m29.763 3.2101e-4c-7.3803-0.042165-15.82 4.0805-17.752 6.1556-1.5069 1.7245-2.3885 3.497-3.1394 5.2796-1.2081 3.6024-2.4332 10.299-0.0073 15.338 0.92204 0.15679 2.7983 0.40842 4.1073 0.54287 4.9e-5 2.5e-4 -5e-5 7.48e-4 0 9.97e-4l0.01899 9.98e-4c0.36192 0.037 0.68805 0.06643 0.92702 0.08033-0.02272-0.05272-0.04809-0.12796-0.07401-0.21179-0.77389-3.794-1.0605-7.8613 0.10127-11.583-0.79289 3.7014-0.96359 8.1962 0.31404 11.837 0 0 1.26 0.07464 2.2192 0.11588v4.99e-4l0.01948 4.98e-4c0.3279 0.01401 0.61966 0.02443 0.81065 0.02581-0.6922-3.9182-0.87895-7.8708 0.1261-11.754-0.9008 4.2635-0.30705 9.4583 0.49078 11.794 0.47316 0.0081 2.4945 0.03208 4.1175 0.0044 2.99e-4 0.0012 6.73e-4 0.0026 9.72e-4 0.0039l1.0726-0.03018c-0.74311-4.2791-0.9155-8.5958-0.21762-12.884 0.0035-0.01631 0.0072-0.03142 0.01071-0.04771 1.9522 3.886 2.0627 11.288 2.0989 12.744 1.2096-0.03167 3.0379-0.04722 4.5051-0.06281-1.62e-4 9.97e-4 -2.37e-4 0.0022-4.98e-4 0.0034l1.6758-0.02436c0.32342-3.4216 0.19067-6.9714-0.50845-10.346 1.3183 3.7493 1.6172 8.6627 1.4733 10.322 0.68251-0.0022 4.2516-0.06622 4.8367-0.09543 0.11549-2.5184-0.13962-5.2693-0.45474-7.9819 0.7123 3.5441 0.80356 6.8934 0.78436 7.9697 0.06379-2e-3 0.12756-0.0046 0.19134-0.0068 0.06797 6.9381 0.14252 13.876 0.20936 20.814-0.26066 5.3614-0.71657 10.286-1.7567 15.391 2.5096-0.4696 4.9537-1.2387 7.28-2.2908 5.215-2.3551 9.4935-5.3027 13.238-7.7072-0.48198-3.7182 0.05169-21.249 0.05169-21.249-0.14596-20.545-6.6617-32.035-26.77-32.15z"/>
        <path d="m25.022 50.082-8.1174 11.019c0.69888 0.32012 1.4093 0.61335 2.1281 0.88174-3.74e-4 0.0039-0.0011 0.0078-0.0015 0.01169l0.6159 0.22153c0.0023-0.0035 0.0045-0.0072 0.0068-0.01072 1.8174 0.63603 3.689 1.1101 5.5952 1.409l0.501 0.07449-0.05015-0.72594c-0.40972-4.3371-0.62565-8.5285-0.67808-12.881zm17.974 1.1522c-3.694 1.63-6.3558 3.7151-9.6573 4.2982-1.7275 1.2014-3.7227 3.1316-5.4574 6.6108-0.19831 0.39774-0.3729 0.74943-0.50051 1.0317l-1.6135 0.51658c1.4658 0.20522 2.9442 0.3082 4.4243 0.3082 5.9884 1.25e-4 11.837-1.6942 16.913-4.8717l-4.1073-7.8913z"/>
        <path d="m16.447 27.352c-0.22599 0.0069-0.43441 0.03247-0.62223 0.05988-0.76446 0.11154-1.2972 0.51423-1.7133 0.86178-0.43502 0.36332-0.86352 1.3139-0.89586 1.5541-0.06877 0.51114 0.46539 1.6601 0.56478 1.9139 0.09939 0.25384 0.40206 0.49992 0.27606 0.10809-0.20272-0.6304-0.05065-1.2269-0.0088-1.4767 0.10258-0.61184 0.47731-1.2107 0.73908-1.4645 0.39262-0.38075 0.83842-0.62071 1.2878-0.70987 0.59869-0.11879 0.91603-0.20849 1.6276-0.0633 0.97176 0.19828 1.6751 1.0085 2.0507 1.6013 0.1053 0.1662 0.29823 0.19787 0.15093-0.18502-0.08963-0.23298-0.43346-0.91876-1.4343-1.5999-0.65503-0.44576-1.2634-0.58316-1.7907-0.59983-0.07911-0.0025-0.15642-0.0022-0.23175 0z"/>
        <path d="m34.719 23.852c-1.4752-0.02589-3.0709 0.1924-4.3761 0.5083-0.65261 0.15795-1.2322 0.33991-1.69 0.53021-0.45776 0.1903-0.79274 0.37949-0.96938 0.59789a0.13171 0.13171 0 0 0 0.01947 0.18502 0.13171 0.13171 0 0 0 0.18501-0.01947c0.11438-0.14143 0.42625-0.33712 0.86616-0.51999 0.43991-0.18288 1.0088-0.36212 1.651-0.51755 1.2844-0.31086 2.8631-0.52686 4.3089-0.50149 1.3143 0.02306 2.5174 0.25021 3.2835 0.75953a0.13171 0.13171 0 0 0 0.18258-0.03652 0.13171 0.13171 0 0 0-0.03652-0.18258c-0.8405-0.55876-2.0836-0.77982-3.4247-0.80335z"/>
        <path d="m33.349 27.223c-0.19181-0.0022-0.38722 0.0025-0.57354 0.01705-0.61418 0.04784-0.84542 0.07934-1.4373 0.23857-0.52269 0.14062-1.1992 0.51826-1.5609 0.74882-0.7552 0.48131-1.0824 0.90922-1.2206 1.0716-0.32171 0.37789-0.25665 0.7372 0.23078 0.30917 0.4948-0.43451 0.75068-0.65828 1.3535-0.99421 0.4778-0.26625 0.83617-0.40333 1.3676-0.49565 0.90131-0.15655 1.9985-0.25022 3.4257 0.45377 0.83447 0.4116 1.4437 1.1812 1.5765 1.8472 0.13208 0.66246-0.26277 1.9855-0.08131 1.948 0.30828-0.0637 1.2743-2.0092 1.1086-2.4811-0.62224-1.7723-2.4145-2.3804-2.8916-2.5303-0.17796-0.05592-0.7221-0.12592-1.2975-0.13292z"/>
        <path d="m15.295 23.609c-0.91833 0.01096-1.8232 0.19132-2.5863 0.61736a0.13171 0.13171 0 0 0-0.05064 0.17917 0.13171 0.13171 0 0 0 0.17917 0.05063c0.7131-0.39813 1.5748-0.57271 2.4607-0.58328 1.9488-0.02326 4.0131 0.76994 4.7914 1.5897a0.13171 0.13171 0 0 0 0.18599 0.0049 0.13171 0.13171 0 0 0 0.0049-0.18599c-0.87558-0.92219-2.9648-1.6965-4.9852-1.6724z"/>
        <path d="m17.535 29.198c-1.0747-0.04733-2.1931 1.1235-2.2294 2.8439-0.03532 1.6726 1.0366 2.9337 2.2129 2.9296 1.2053-0.0042 2.0683-1.2997 2.0352-2.7499-0.04719-2.0634-0.97457-2.9775-2.0186-3.0235z"/>
        <path d="m31.219 29.204c-1.4279-0.0099-2.6522 1.2774-2.616 2.8536 0.03623 1.5762 1.0272 2.8941 2.6686 2.914 1.6414 0.01984 2.611-1.6607 2.5761-3.025-0.03489-1.3643-1.2008-2.7327-2.6287-2.7426z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="statistics">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m12 0c-2.2092 0-4 1.7909-4 4v44h-4c-2.2092 0-4 1.7909-4 4s1.7909 4 4 4h4v4c0 2.2092 1.7909 4 4 4s4-1.7909 4-4v-4h44c2.2092 0 4-1.7909 4-4s-1.7909-4-4-4h-44v-0.71876l15.816-22.14 8.8124 13.785c1.6117 2.5228 5.3216 2.4464 6.8282-0.14062l14-24c1.1142-1.9091 0.46868-4.36-1.4414-5.4726-0.91724-0.53398-2.009-0.68152-3.0352-0.41016-1.0259 0.2696-1.9026 0.9356-2.4376 1.8516l-10.699 18.344-8.4726-13.254c-1.5265-2.385-4.9796-2.4724-6.625-0.16797l-12.746 17.844v-29.52c0-2.2092-1.7909-4-4-4z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="query">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m5.3574 0c-4.6462 0-3.933 4.7188-2.2783 6.3372l23.129 22.622h-1.1584c-2.567 0-4.6333 2.0665-4.6333 4.6333 0 2.567 2.0665 4.6333 4.6333 4.6333h1.1584v19.693c0 8.1086 11.584 8.1086 11.584 0v-19.693h10.425v2.3167c0 2.567 2.0507 4.6334 4.5974 4.6334h0.07257c2.5466 0 4.5974-2.0665 4.5974-4.6334v-2.3167c2.567 0 4.6333-2.0665 4.6333-4.6333 0-2.567-2.0665-4.6333-4.6333-4.6333v-2.3167c0-2.567-2.0507-4.6333-4.5974-4.6333h-0.07257c-2.5466 0-4.5974 2.0665-4.5974 4.6333v2.3167h-10.425l23.129-22.622c1.6547-1.6184 2.368-6.3372-2.2783-6.3372h-26.643z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="rss">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m92 189c0 13.255-10.745 24-24 24s-24-10.745-24-24 10.745-24 24-24 24 10.745 24 24"/>
        <path d="m160 213h-34c0-45.287-36.713-82-82-82v-34c64.065 0 116 51.935 116 116z"/>
        <path d="m184 213c0-77.32-62.68-140-140-140v-35c96.65 0 175 78.35 175 175z"/>
        <path d="m61.309 0c-33.826 2.7128e-15 -61.309 27.482-61.309 61.309v133.38c2.7128e-15 33.826 27.482 61.309 61.309 61.309h133.38c33.826 0 61.309-27.482 61.309-61.309v-133.38c0-33.826-27.482-61.309-61.309-61.309h-133.38zm0 16h133.38c25.239 0 45.309 20.07 45.309 45.309v133.38c0 25.239-20.07 45.309-45.309 45.309h-133.38c-25.239 0-45.309-20.07-45.309-45.309v-133.38c0-25.239 20.07-45.309 45.309-45.309z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="os">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m32 0a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zm-12.086 18.891c4.0625 0 7.2448 1.1617 9.5469 3.4863 2.3021 2.3247 3.4531 5.5345 3.4531 9.6309 0 4.0851-1.151 7.2906-3.4531 9.6152-2.3021 2.3246-5.4844 3.4863-9.5469 3.4863-4.0512 0-7.2335-1.1617-9.5469-3.4863-2.3021-2.3247-3.4531-5.5302-3.4531-9.6152 0-4.0964 1.151-7.3062 3.4531-9.6309 2.3134-2.3246 5.4957-3.4863 9.5469-3.4863zm26.678 0c1.388 0 2.8142 0.1059 4.2812 0.32032 1.467 0.20312 2.9861 0.5141 4.5547 0.93164v5.3496c-1.388-0.62066-2.7422-1.0903-4.0625-1.4062-1.3203-0.31598-2.5686-0.47266-3.7422-0.47266-1.5573 0-2.7083 0.21376-3.4531 0.64258-0.74479 0.42882-1.1172 1.0953-1.1172 1.998 0 0.67708 0.24957 1.2062 0.74609 1.5898 0.50781 0.37239 1.4219 0.69401 2.7422 0.96484l2.7754 0.5586c2.8099 0.56423 4.8073 1.4232 5.9922 2.5742 1.1849 1.151 1.7773 2.7867 1.7773 4.9082 0 2.7873-0.82943 4.8631-2.4883 6.2285-1.6476 1.3542-4.1697 2.0312-7.5664 2.0312-1.6024 0-3.2105-0.15234-4.8242-0.45703-1.6137-0.30469-3.2281-0.75543-4.8418-1.3535v-5.502c1.6137 0.85764 3.171 1.5072 4.6719 1.9473 1.5122 0.42882 2.9679 0.64258 4.3672 0.64258 1.4219 0 2.5115-0.23698 3.2676-0.71094s1.1348-1.151 1.1348-2.0312c0-0.78993-0.2602-1.3993-0.7793-1.8281-0.50781-0.42882-1.5297-0.81185-3.0645-1.1504l-2.5215-0.5586c-2.5278-0.54167-4.3791-1.405-5.5527-2.5898-1.1623-1.1849-1.7422-2.7823-1.7422-4.791 0-2.5165 0.8125-4.4505 2.4375-5.8047 1.625-1.3542 3.9609-2.0312 7.0078-2.0312zm-26.678 4.7227c-1.9861 0-3.5265 0.7322-4.6211 2.1992-1.0946 1.467-1.6426 3.5321-1.6426 6.1953 0 2.6519 0.54796 4.7127 1.6426 6.1797 1.0946 1.467 2.635 2.1992 4.6211 2.1992 1.9974 0 3.5441-0.7322 4.6387-2.1992 1.0946-1.467 1.6406-3.5278 1.6406-6.1797 0-2.6632-0.546-4.7283-1.6406-6.1953-1.0946-1.467-2.6413-2.1992-4.6387-2.1992z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="summary">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m8.5 2.5c-3.2894 0-6 2.7106-6 6v47c0 3.2894 2.7106 6 6 6h47c3.2894 0 6-2.7106 6-6v-47c0-3.2894-2.7106-6-6-6h-47zm7.4688 7.4707a2.0002 2.0002 0 0 1 2.0312 2.0293v11.17l9.5859-9.5859a2.0002 2.0002 0 0 1 2.8281 0l5.8594 5.8613 12.645-8.1289a2.0002 2.0002 0 0 1 1.0742-0.33203 2.0002 2.0002 0 0 1 1.0898 3.6973l-14 9a2.0002 2.0002 0 0 1-2.4961-0.26758l-5.5859-5.5859-8.1719 8.1719h29.172a2.0002 2.0002 0 1 1 0 4h-34a2.0002 2.0002 0 0 1-2-2v-16a2.0002 2.0002 0 0 1 1.9688-2.0293zm-0.48242 23.529a4 4 0 0 1 4 4 4 4 0 0 1-4 4 4 4 0 0 1-4-4 4 4 0 0 1 4-4zm10 2h25a2.0002 2.0002 0 1 1 0 4h-25a2.0002 2.0002 0 1 1 0-4zm-10 9a4 4 0 0 1 4 4 4 4 0 0 1-4 4 4 4 0 0 1-4-4 4 4 0 0 1 4-4zm10 2h25a2.0002 2.0002 0 1 1 0 4h-25a2.0002 2.0002 0 1 1 0-4z"/>
    </svg>
</ng-template>

<ng-template appIconTemplate="checkmark">
    <svg
            class="icon"
            fill="currentColor"
            viewBox="0 0 64 64"
            xmlns="http://www.w3.org/2000/svg">
        <path d="m53.721 5.9676a6.0006 6.0006 0 0 0-5.0215 2.4668l-25.246 33.662-8.1875-10.707a6.0006 6.0006 0 1 0-9.5312 7.2891l13 17a6.0006 6.0006 0 0 0 9.5664-0.0449l30-40a6.0006 6.0006 0 0 0-4.5801-9.666z"/>
    </svg>
</ng-template>